#
# This file is part of Canola
# Copyright (C) 2007-2009 Instituto Nokia de Tecnologia
# Contact: Renato Chencarek <renato.chencarek@openbossa.org>
#          Eduardo Lima (Etrunko) <eduardo.lima@openbossa.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

from terra.core.manager import Manager


Notify = Manager().get_class("Model/Notify")


class CanolaError(Notify):
    terra_type = "Model/Notify/Error"

    def __init__(self, message, answer_callback=None):
        Notify.__init__(self, "Error", message, answer_callback)

class FatalError(CanolaError):
    terra_type = "Model/Notify/Error/Fatal"

    def __init__(self, message):
        CanolaError.__init__(self, message, None)


class PluginNotFoundError(CanolaError):
    terra_type = "Model/Notify/Error/PluginNotFound"

    def __init__(self, answer_callback=None):
        CanolaError.__init__(self, "Plugin not found.", answer_callback)
