#
# This file is part of Canola
# Copyright (C) 2007-2009 Instituto Nokia de Tecnologia
# Contact: Renato Chencarek <renato.chencarek@openbossa.org>
#          Eduardo Lima (Etrunko) <eduardo.lima@openbossa.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
from terra.core.manager import Manager

mger = Manager()
OptionsActionModel = mger.get_class("Model/Options/Action")


class RefreshFeedOptionsActionModel(OptionsActionModel):
    terra_type = "Model/Options/Action/Media/Feeds/Refresh"
    name = "Refresh feed"

    def execute(self):
        # XXX: some lock mechanism to avoid multiple refreshes
        self.screen_controller.refresh_feed()
        return True


class ToggleDescOptionsActionModel(OptionsActionModel):
    terra_type = "Model/Options/Action/Media/OnDemand/ToggleDesc"
    name = "Show/Hide description"

    def execute(self):
        self.screen_controller.toggle_description()
        return True
